Bug 971092 - xfce4-xkb-plugin changes layout randomly
xfce4-xkb-plugin changes layout randomly
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xfce4-xkb-plugin (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 12:15 EDT by Milan Kerslager
Modified: 2013-07-04 22:09 EDT (History)
3 users (show)

See Also:
Fixed In Version: xfce4-xkb-plugin-0.5.6-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-03 21:00:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Kerslager 2013-06-05 12:15:22 EDT
After update to the current F19, my keyboard layout switches back to US randomly. I have cs-qwerty layout as primary. When I'm typing, the layout changes back to US without reason.

I have xfce4-xkb-plugin-0.5.5-1.fc19.x86_64, Xfce desktop.
Comment 1 Christoph Wickert 2013-06-05 13:39:50 EDT
If something happens randomly, there is not much I can do. If I cannot reproduce it, I cannot forward your bug to the upstream developers. So either you tell me how to reliably reproduce your bug or talk to the upstream developers directly by filing a bug in bugzilla.xfce.org.
Comment 2 Milan Kerslager 2013-06-05 17:18:31 EDT
Sorry. Better word is "after typing few sentences".
I'll try to find some clues and post back later.
Comment 3 Michael Petlan 2013-06-24 12:38:42 EDT
This bug already is filled in upstream bugzilla - look here: https://bugzilla.xfce.org/show_bug.cgi?id=10152

They say that it is fixed in the upstream version 0.5.6, so you can do some diff and see where to fix it in the downstream.

I assume that it's common issue of 0.5.5, it's discussed also here: https://bbs.archlinux.org/viewtopic.php?pid=1280887

It happens to me too, the interval really is cca 10 minutes. After I manually downgraded the package back to version 0.5.4.3-2, everything seems OK.
Comment 4 Fedora Update System 2013-06-24 19:37:58 EDT
xfce4-xkb-plugin-0.5.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xfce4-xkb-plugin-0.5.6-1.fc19
Comment 5 Fedora Update System 2013-06-24 19:38:49 EDT
xfce4-xkb-plugin-0.5.6-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xfce4-xkb-plugin-0.5.6-1.fc18
Comment 6 Fedora Update System 2013-06-24 19:39:08 EDT
xfce4-xkb-plugin-0.5.6-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xfce4-xkb-plugin-0.5.6-1.fc17
Comment 7 Fedora Update System 2013-06-25 17:16:11 EDT
Package xfce4-xkb-plugin-0.5.6-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xfce4-xkb-plugin-0.5.6-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11655/xfce4-xkb-plugin-0.5.6-1.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-07-03 21:00:52 EDT
xfce4-xkb-plugin-0.5.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-07-04 21:57:27 EDT
xfce4-xkb-plugin-0.5.6-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-07-04 22:09:12 EDT
xfce4-xkb-plugin-0.5.6-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.